Bug 1413566 - [xorg-x11] non-native 16:9 resolutions not supported anymore
Summary: [xorg-x11] non-native 16:9 resolutions not supported anymore
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 27
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-16 12:15 UTC by David Kaspar [Dee'Kej]
Modified: 2018-11-30 20:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 20:07:52 UTC
Type: Bug


Attachments (Terms of Use)

Description David Kaspar [Dee'Kej] 2017-01-16 12:15:18 UTC
Description of problem:
Last week I have done regular update, which installed several new (updated) xorg-x11-* packages. Today, when I logged back in into my Fedora 25 (Cinnamon spin), my laptop display was not able to display resolution I have configured it with before (1600x900). I was only able to select the native 1920x1080 (16:9) resolution. There was no other 16:9 resolution to choose from.

Version-Release number of selected component (if applicable):
xorg-x11-drv-libinput-0.23.0-2.fc25.x86_64
xorg-x11-drv-synaptics-1.9.0-1.fc25.x86_64
xorg-x11-drv-vmware-13.2.1-1.fc25.x86_64
xorg-x11-drv-wacom-0.34.0-1.fc25.x86_64
xorg-x11-server-Xorg-1.19.1-1.fc25.x86_64
xorg-x11-server-Xwayland-1.19.1-1.fc25.x86_64
xorg-x11-server-common-1.19.1-1.fc25.x86_64
xorg-x11-xinit-1.3.4-13.fc25.x86_64

>> After running 'sudo dnf donwgrade xorg-x11-*' and rebooting, I'm again able to have my previously set resolution (1600x900) on my laptop. Ergo, one of these updated packagesc is causing the regression.

How reproducible:
Always with eligible HW.


Steps to Reproduce:
* You might need a Lenovo Thinkpad laptop for this, most likely. I'm using Lenovo T450s with integrated Intel GPU (no dedicated GPU). Get some laptop that supports 1920x1080 (native) resolution, as well as 1600x900 or some lower 16:9 resolution. Additional packages that might be necessary to reproduce this issue:
> kernel-4.8.15-200.fc24.x86_64
> lightdm-gtk-2.0.2-2.fc25.x86_64 (default display manager for Cinnamon spin)

1) Dowgrade to previous versions of packages listed above, reboot.
2) Confirm that you're able to set 1600x900 or lower 16:9 resolution.
3) Upgrade to the latest versions of packages listed above, reboot.
4) Try to set 1600x900 or lower 16.9 resolution.

Actual results:
Only 16:9 resolution you can set is 1920x1080 (native).

Expected results:
You can set other 16:9 resolutions, which are supported by the display of laptop.

Additional info:
 * With the latest packages, not even 'xrandr --query' displays the supported resolutions of my laptop display.
 * This is not something trivial for it to be ignored, because there are many situations where I (and I believe many other users too) just can't use only the highest supported resolution.

Comment 1 Fedora End Of Life 2017-11-16 19:51:56 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Jan Rybar 2017-11-27 15:47:38 UTC
Still happening on Fedora 27 (Workstation, Gnome Shell).
Exactly the same issue on Lenovo ThinkPad T450s.

$ xrandr
Screen 0: minimum 320 x 200, current 3840 x 1080, maximum 8192 x 8192
eDP-1 connected 1920x1080+0+0 (normal left inverted right x axis y axis) 309mm x 174mm
   1920x1080     60.02*+
   1400x1050     59.98  
   1280x1024     60.02  
   1280x960      60.00  
   1024x768      60.04    60.00  
   960x720       60.00  
   928x696       60.05  
   896x672       60.01  
   800x600       60.00    60.32    56.25  
   700x525       59.98  
   640x512       60.02  
   640x480       60.00    59.94  
   512x384       60.00  
   400x300       60.32    56.34  
   320x240       60.05

Comment 3 Jan Rybar 2018-01-10 10:52:40 UTC
I still haven't found any workaround.
The solution David proposed is not possible because there's nowhere to downgrade on Fedora 27.

The problem still persists and renders multi-display workspace useless (text unreadable, really hurts my eyes).

Any other laptop models affected?

Comment 4 David Kaspar [Dee'Kej] 2018-01-10 14:37:01 UTC
(In reply to Jan Rybar from comment #3)
> The problem still persists and renders multi-display workspace useless (text
> unreadable, really hurts my eyes).
> 
> Any other laptop models affected?

Hmm, this BZ has been here for a while, and nobody is responding to it. Maybe we should try Fedora's devel mailing list. We might have more success there.

Comment 5 Emiliano 2018-02-28 04:45:43 UTC
Same issue here.
 
The only 16:9 resolution available is the native (3200x1800), then it just list all 4:3 options.

Fedora 27 - 4.15.4-300.fc27.x86_64
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 5500 (rev 09)
Asus UX303L

Comment 6 David Kaspar [Dee'Kej] 2018-02-28 09:22:20 UTC
Could you please try this with the F28 Rawhide Life DVD? We could change this to F28 if the problem persists there as well, and propose it as a blocker for F28 release.

Comment 7 Emiliano 2018-02-28 14:44:12 UTC
The Live DVD will use Wayland by default, right? Is there any way to switch to xorg in Live mode?

Comment 8 David Kaspar [Dee'Kej] 2018-02-28 15:10:32 UTC
AFAIK, if you would download the Cinnamon Spin Live DVD, it should still use the  xorg for it... :)

Comment 9 Emiliano 2018-02-28 22:54:29 UTC
No lucky, Fedora-Cinnamon-Live-x86_64-Rawhide-20180220.n.0.iso didn't boot X server :/

Comment 10 Ben Cotton 2018-11-27 16:50:41 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Ben Cotton 2018-11-30 20:07:52 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.